  clear;
  close all;
%
% calc_fo2_muo2.m; v. 1.1
% Jay J. Ague, Yale University
% Compute fO2 given temperature and the chemical potential of O2 in the
% system (mu_O2). The calculation is based on a polynomial fit of HP11
% molar dGf for O2 at 10^5 Pa over the range 150 to 1200 deg. C.
%
% Holland, T.J.B. & Powell, R. (2011). An improved and extended internally 
% consistent thermodynamic dataset for phases of petrological interest, 
% involving a new equation of state for solids. 
% Journal of Metamorphic Geology 29, 333-383.
%
  TC=[100       150       200       250       300       350       400       450       500       550       600       650       700       750       800       850       900       950      1000      1050      1100      1150      1200];
  muO2=1000.0*[ -76.80    -87.48    -98.35   -109.38   -120.56   -131.88   -143.33   -154.90   -166.59   -178.38   -190.28   -202.27   -214.36   -226.53   -238.80   -251.14   -263.56   -276.06   -288.63   -301.27   -313.98   -326.76   -339.60];
% 
  R=8.31446;
  TC=transpose(TC);
  muO2=transpose(muO2);
%  [f,g]=fit(TC,muO2,'poly3')
  [f,g]=polyfit(TC,muO2,3);
%
  x=input('\nEnter T in deg. C: ');
%  mufit=f.p1*x^3 + f.p2*x^2 + f.p3*x + f.p4
  mufit=f(1)*x^3 + f(2)*x^2 + f(3)*x + f(4);
  musys=input('Enter system muO2: ');
%
  lnfo2=(musys-mufit)/(R*(x+273.15))
  logfo2=log10(exp(lnfo2))
% 