 clear;
 close all;
% 
% feloi.m; v. 1.1
% Jay J. Ague. Yale University.
% Convert total Fe2O3 from XRF to wt% FeO, Fe2O3 given input ratio. 
% Also correct LOI for iron oxidized during combustion.
%
 fe2o3tot=input('Enter total Fe2O3 wt%: ');
 loi=input('Enter LOI wt%: ');
 rat=input('Enter molar Fe3+/(Fe2+ + Fe3+) ratio (between 0 and 1): ');
 feogfw=55.845+15.9994;
 fe2o3gfw=2*55.845+3*15.9994;
 fac=feogfw/(fe2o3gfw/2.0);
% 
 feotot=fe2o3tot*fac; %Convert all Fe to FeO wt%
 fetotmol=feotot/feogfw; %Total moles Fe
 fe3mol=fetotmol*rat; %Moles Fe3+
 fe2mol=fetotmol-fe3mol; %Moles Fe2+
% 
 feo_wtpct=fe2mol*feogfw; % wt% FeO
 fe2o3_wtpct=fe3mol*(fe2o3gfw/2); % wt% Fe2o3
 sum_FeO_Fe2O3=feo_wtpct+fe2o3_wtpct;
 test=(2*fe2o3_wtpct/fe2o3gfw)/(2*fe2o3_wtpct/fe2o3gfw+feo_wtpct/feogfw);
 test2=feo_wtpct*(1/.8998) + fe2o3_wtpct;
 loinew_wtpct=loi+(fe2o3tot-sum_FeO_Fe2O3); %New LOI value
%
 fprintf(1,'\n          FeO wt%%: %6.2f\n',feo_wtpct)
 fprintf(1,'        Fe2O3 wt%%: %6.2f\n',fe2o3_wtpct)
 fprintf(1,'Sum FeO+Fe2O3 wt%%: %6.2f\n',sum_FeO_Fe2O3)
 fprintf(1,'      New LOI wt%%: %6.2f\n\n',loinew_wtpct)
% 
 